Bug 11616 - Ant scripts stop listening to changes after reopen
Ant scripts stop listening to changes after reopen
Status: CLOSED FIXED
Product: projects
Classification: Unclassified
Component: Ant
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: Jesse Glick
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 17:28 UTC by Jesse Glick
Modified: 2003-06-30 14:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Suggested patch to solve it (2.14 KB, patch)
2001-04-20 17:34 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-04-20 17:28:04 UTC
Noticed in dev version, assumed to apply to release32 as well. After opening,
closing, & reopening an Ant script in the Editor, it will no longer
automatically reparse after making textual changes. If the user then makes a
change in the Explorer, this will overwrite any modifications in the Editor,
hence the P1.
Comment 1 Jesse Glick 2001-04-20 17:34:40 UTC
Created attachment 1191 [details]
Suggested patch to solve it
Comment 2 Jesse Glick 2001-04-20 20:34:37 UTC
Fixed in release32, will merge to trunk.
Comment 3 Jesse Glick 2001-04-22 09:45:08 UTC
Fixed in the trunk.
Comment 4 Milan Kubec 2001-04-23 16:54:10 UTC
Seems to be fixed in release32 without any side effects.

Dev (build172) has another problem (don't know if connected with this bug) -
after any change in explorer it jumps to the end of file (cursor is placed on
last line). I will find out more about it and maybe file a bug against it.
Comment 5 Quality Engineering 2003-06-30 14:47:37 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo